kdesu starts empty after login

Bug #250330 reported by Philip Ashmore on 2008-07-20
46
This bug affects 5 people
Affects Status Importance Assigned to Milestone
kdesudo (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: kdebase

Use case:
Tabetha is logged in and running KDE 3.5.9 on Ubuntu 8.04.1
She runs <Alt-F2> "kdesu kate" to see some logs / change blacklists etc. and logs out without closing kate.
The next time she logs in, a message box is displayed saying that kdesu was run without arguments.

Presumably this is because the session restore trickery cannot handle applications started with kdesu.
I'll have to check if this happens even if I close the kdesu-started application (right now I'm typing...).

Revision history for this message
Philip Ashmore (contact-philipashmore) wrote :

Yep - it happens even if I close the kdesu - started application before logging out.

Changed in kdebase:
importance: Undecided → Wishlist
Revision history for this message
Harald Sitter (apachelogger) wrote :

Do you use kdesudo (i.e. did you install Kubuntu directly or did you just install a plain KDE on ubuntu)?

Changed in kdebase:
status: New → Incomplete
Revision history for this message
Philip Ashmore (contact-philipashmore) wrote :

It was kubuntu.

Revision history for this message
ororo (ororo) wrote :

Same problem with Kubuntu 8.10.

I went to the console and wrote:

$ kdesudo synaptics &
$ kdesudo adept &
$ kdesudo kuser &
$ kdesudo kate &

Then I rebooted the computer.

Result:
4 instances "Informations : KdeSudo : No command arguments supplied! (...) "
+ 1 not-root instance of Synaptic.

That is, it seems that Synaptic is the only application that is reloaded when restoring the session, however it is reloaded without kdesudo, so in not-root mode.

Revision history for this message
Victor Vargas (kamus) wrote :

Since this report have a long time without activity, could you check (if is possible) in latest Ubuntu Karmic version if this issue is still happening? Thanks in advance.

Revision history for this message
Philip Ashmore (contact-philipashmore) wrote :

I couldn't get that far on KDE 4.3.2 - see https://bugs.kde.org/show_bug.cgi?id=215475
"Using Alt-F2 to run a program as another user fails"

Revision history for this message
Jerry Ablan (lucifurious) wrote :

This has been happening to me for awhile. I finally fixed it by removing the LegacySession and Session stuff from my ksmserverrc file.

Seems to me that when the ksmserver retrieves the processes to restore next time, it's not getting the entire command when kdesu is used to launch a process or admin rights are required.

Seems like an easy fix, if the thing you're writing to the session config is only 'kdesu', don't write it out! ;)

Take it easy!

Revision history for this message
Jwednesday (jwednesday) wrote : Re: [Bug 250330] Re: kdesu starts empty after login

how do I remove what? Thank you for the info but I need the specific
command to remove it. Jim

On Mon, 03 May 2010 22:13:18 -0400, Jerry Ablan <email address hidden>
wrote:

> This has been happening to me for awhile. I finally fixed it by removing
> the LegacySession and Session stuff from my ksmserverrc file.
>
> Seems to me that when the ksmserver retrieves the processes to restore
> next time, it's not getting the entire command when kdesu is used to
> launch a process or admin rights are required.
>
> Seems like an easy fix, if the thing you're writing to the session
> config is only 'kdesu', don't write it out! ;)
>
> Take it easy!
>

Revision history for this message
Jerry Ablan (lucifurious) wrote :

Look in the file and you'll see two sections LegacySession and Session.
Remove those. In other words delete the lines from the rc file. If you need
further instructions you prolly shouldn't be poking around in rc files.

On May 4, 2010 7:11 PM, "Jwednesday" <email address hidden> wrote:

how do I remove what? Thank you for the info but I need the specific
command to remove it. Jim

On Mon, 03 May 2010 22:13:18 -0400, Jerry Ablan <email address hidden>
wrote:

> This has been happening to me for awhile. I finally fixed it by removing
> the LegacySession and ...

Revision history for this message
Jwednesday (jwednesday) wrote :

I do understand how to modify files ... just making sure I am in the right
area.

On Tue, 04 May 2010 19:15:19 -0400, Jerry Ablan <email address hidden>
wrote:

> Look in the file and you'll see two sections LegacySession and Session.
> Remove those. In other words delete the lines from the rc file. If you
> need
> further instructions you prolly shouldn't be poking around in rc files.
>
> On May 4, 2010 7:11 PM, "Jwednesday" <email address hidden> wrote:
>
> how do I remove what? Thank you for the info but I need the specific
> command to remove it. Jim
>
> On Mon, 03 May 2010 22:13:18 -0400, Jerry Ablan <email address hidden>
> wrote:
>
>
>> This has been happening to me for awhile. I finally fixed it by removing
>> the LegacySession and ...
>

Revision history for this message
Jerry Ablan (lucifurious) wrote :

Yeah sorry I was a bit cranky yesterday lol.

Its def a bug in session manager as it returns. But cleaning out ksmserverrc
fixes for your next login.

On May 5, 2010 9:11 AM, "Jwednesday" <email address hidden> wrote:

I do understand how to modify files ... just making sure I am in the right
area.

On Tue, 04 May 2010 19:15:19 -0400, Jerry Ablan <email address hidden>

wrote:

> Look in the file and you'll see two sections LegacySession and Session.
> Remove those. In...

--
kdesu starts empty after login
https://bugs.launchpad.net/bugs/250330
You received this bug noti...

Revision history for this message
Jwednesday (jwednesday) wrote :

lol, no problem and it seems to have fixed the issue. Thanks Mr. Grotch
... lol

On Wed, 05 May 2010 09:24:29 -0400, Jerry Ablan <email address hidden>
wrote:

> Yeah sorry I was a bit cranky yesterday lol.
>
> Its def a bug in session manager as it returns. But cleaning out
> ksmserverrc
> fixes for your next login.
>
> On May 5, 2010 9:11 AM, "Jwednesday" <email address hidden> wrote:
>
> I do understand how to modify files ... just making sure I am in the
> right
> area.
>
> On Tue, 04 May 2010 19:15:19 -0400, Jerry Ablan <email address hidden>
>
> wrote:
>
>> Look in the file and you'll see two sections LegacySession and Session.
>> Remove those. In...
>

Revision history for this message
Jwednesday (jwednesday) wrote :

Jerry .. did you pass this information on to the Kubuntu team? I think it
would be very helpful. Jim

On Wed, 05 May 2010 09:24:29 -0400, Jerry Ablan <email address hidden>
wrote:

> Yeah sorry I was a bit cranky yesterday lol.
>
> Its def a bug in session manager as it returns. But cleaning out
> ksmserverrc
> fixes for your next login.
>
> On May 5, 2010 9:11 AM, "Jwednesday" <email address hidden> wrote:
>
> I do understand how to modify files ... just making sure I am in the
> right
> area.
>
> On Tue, 04 May 2010 19:15:19 -0400, Jerry Ablan <email address hidden>
>
> wrote:
>
>> Look in the file and you'll see two sections LegacySession and Session.
>> Remove those. In...
>

Revision history for this message
Jerry Ablan (lucifurious) wrote :

Aren't these going into the bug?

On May 5, 2010 10:31 PM, "Jwednesday" <email address hidden> wrote:

Jerry .. did you pass this information on to the Kubuntu team? I think it
would be very helpful. Jim

On Wed, 05 May 2010 09:24:29 -0400, Jerry Ablan <email address hidden>

wrote:

> Yeah sorry I was a bit cranky yesterday lol.
>
> Its def a bug in session manager as it re...

You received this bug notification because you are a direct subscriber
of the bug.

Status in “kdesu...

Revision history for this message
Jwednesday (jwednesday) wrote :

I am not sure ,,,, I am not a total newbie but not sure how some of this
works

On Wed, 05 May 2010 22:32:29 -0400, Jerry Ablan <email address hidden>
wrote:

> Aren't these going into the bug?
>
> On May 5, 2010 10:31 PM, "Jwednesday" <email address hidden> wrote:
>
> Jerry .. did you pass this information on to the Kubuntu team? I think
> it
> would be very helpful. Jim
>
> On Wed, 05 May 2010 09:24:29 -0400, Jerry Ablan <email address hidden>
>
> wrote:
>
>> Yeah sorry I was a bit cranky yesterday lol.
>>
>> Its def a bug in session manager as it re...
>
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “kdesu...
>

Revision history for this message
Jwednesday (jwednesday) wrote :

Jerry this problems has never really gone away and it showed up in kubuntu 10.04 as well ... has there been any follow-up ... it is very annoying and I just wish this would be fixed. I am trying to help make this a plesant experience for anyone else using Kubuntu 9.10 and 10.04

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.